/*
 * (C) Copyright 2011- ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation nor
 * does it submit to any jurisdiction.
 */

#ifndef ATLAS_ecbuild_config_h
#define ATLAS_ecbuild_config_h

/* ecbuild info */

#ifndef ECBUILD_VERSION_STR
#define ECBUILD_VERSION_STR "3.8.5"
#endif
#ifndef ECBUILD_VERSION
#define ECBUILD_VERSION "3.8.5"
#endif
#ifndef ECBUILD_MACROS_DIR
#define ECBUILD_MACROS_DIR  "/usr/share/ecbuild/cmake"
#endif

/* config info */

#define ATLAS_OS_NAME          "Linux-5.4.0-189-generic"
#define ATLAS_OS_BITS          64
#define ATLAS_OS_BITS_STR      "64"
#define ATLAS_OS_STR           "linux.64"
#define ATLAS_OS_VERSION       "5.4.0-189-generic"
#define ATLAS_SYS_PROCESSOR    "x86_64"

#define ATLAS_BUILD_TIMESTAMP  "20240724173950"
#define ATLAS_BUILD_TYPE       "Release"

#define ATLAS_C_COMPILER_ID      "GNU"
#define ATLAS_C_COMPILER_VERSION "14.1.0"

#define ATLAS_CXX_COMPILER_ID      "GNU"
#define ATLAS_CXX_COMPILER_VERSION "14.1.0"

#define ATLAS_C_COMPILER       "/usr/bin/cc"
#define ATLAS_C_FLAGS          "-g -O2 -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -ffile-prefix-map=/build/atlas-ecmwf-AEn6Di/atlas-ecmwf-0.38.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -fdebug-prefix-map=/build/atlas-ecmwf-AEn6Di/atlas-ecmwf-0.38.1=/usr/src/atlas-ecmwf-0.38.1-1 -I/build/atlas-ecmwf-AEn6Di/atlas-ecmwf-0.38.1/src -I/build/atlas-ecmwf-AEn6Di/atlas-ecmwf-0.38.1/debian/build/src -I/build/atlas-ecmwf-AEn6Di/atlas-ecmwf-0.38.1/atlas_io/src -Wdate-time -D_FORTIFY_SOURCE=3 -pipe -O3 -DNDEBUG"

#define ATLAS_CXX_COMPILER     "/usr/bin/c++"
#define ATLAS_CXX_FLAGS        "-g -O2 -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -ffile-prefix-map=/build/atlas-ecmwf-AEn6Di/atlas-ecmwf-0.38.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -fdebug-prefix-map=/build/atlas-ecmwf-AEn6Di/atlas-ecmwf-0.38.1=/usr/src/atlas-ecmwf-0.38.1-1 -I/build/atlas-ecmwf-AEn6Di/atlas-ecmwf-0.38.1/src -I/build/atlas-ecmwf-AEn6Di/atlas-ecmwf-0.38.1/debian/build/src -I/build/atlas-ecmwf-AEn6Di/atlas-ecmwf-0.38.1/atlas_io/src -Wdate-time -D_FORTIFY_SOURCE=3 -pipe -O3 -DNDEBUG"

/* Needed for finding per package config files */

#define ATLAS_INSTALL_DIR       "/usr"
#define ATLAS_INSTALL_BIN_DIR   "/usr/bin"
#define ATLAS_INSTALL_LIB_DIR   "/usr/lib/x86_64-linux-gnu"
#define ATLAS_INSTALL_DATA_DIR  "/usr/share/atlas"

#define ATLAS_DEVELOPER_SRC_DIR "/build/atlas-ecmwf-AEn6Di/atlas-ecmwf-0.38.1"
#define ATLAS_DEVELOPER_BIN_DIR "/build/atlas-ecmwf-AEn6Di/atlas-ecmwf-0.38.1/debian/build"

/* Fortran support */

#if 1

#define ATLAS_Fortran_COMPILER_ID      "GNU"
#define ATLAS_Fortran_COMPILER_VERSION "14.1.0"

#define ATLAS_Fortran_COMPILER "/usr/bin/gfortran"
#define ATLAS_Fortran_FLAGS    "-g -O2 -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -ffile-prefix-map=/build/atlas-ecmwf-AEn6Di/atlas-ecmwf-0.38.1=. -fstack-protector-strong -fstack-clash-protection -fcf-protection -fdebug-prefix-map=/build/atlas-ecmwf-AEn6Di/atlas-ecmwf-0.38.1=/usr/src/atlas-ecmwf-0.38.1-1 -I/usr/lib/x86_64-linux-gnu/fortran/gfortran-mod-15 -O3 -DNDEBUG -funroll-all-loops -finline-functions"

#endif

#endif /* ATLAS_ecbuild_config_h */
